Create a model version
Create a version of a model.
In: header
Path Parameters
The username of the user that owns the model.
The name of the model.
Information about changes such as new features, bug fixes, or optimizations in this version.
length <= 255The schemas of the model version.
A sha256 hash digest of the version's container image.
^sha256:[a-f0-9]{64}$Response Body
curl -X POST "https://api.wrift.ai/v1/models/string/string/versions" \ -H "Content-Type: application/json" \ -d '{ "release_notes": "string", "schemas": { "prediction": { "input": {}, "output": {} } }, "container_image_digest": "string" }'{
"number": 0,
"release_notes": "string",
"created_at": "2019-08-24T14:15:22Z",
"container_image_digest": "string",
"schemas": {
"prediction": {
"input": {},
"output": {}
}
}
}{
"detail": [
{
"loc": [
"string"
],
"msg": "string",
"type": "string"
}
]
}List model categories GET
Retrieve a paginated list of model categories.
Create a prediction POST
Create a prediction for the provided inputs against a specific model version. By default this endpoint handles requests asynchronously by creating a prediction and returning the created prediction without waiting for a response from the model. This endpoint can be made to wait for a response by passing a optional Prefer header with the wait time. This endpoint will then wait upto the wait time specified for a response from the model. If it receives one it will return the response otherwise the pending prediction is returned which can be polled for updates. If it receives one it will return the response otherwise the pending prediction is returned which can be polled for updates using get prediction endpoint.